Index: /trunk/workflow/inc/class.so_orgchart.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7495)
+++ /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7655)
@@ -152,6 +152,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -308,6 +308,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -385,6 +385,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -462,6 +462,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -541,6 +541,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -623,6 +623,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++){
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i){
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 			$output[$i]['centro_custo_id'] = empty($output[$i]['centro_custo_id']) ? 'NULL' : $output[$i]['centro_custo_id'];
@@ -714,5 +714,5 @@
 		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_LDAP_DATABASE);
-		for ($i = 0; $i < count($output); $i++)
+		for ($i = 0; $i < count($output); ++$i)
 		{
 			$output[$i]['funcionario_id_desc'] = '';
@@ -771,5 +771,5 @@
 			die(serialize("O sistema de busca não pode ser utilizado nesta organização."));
 		$entries = ldap_get_entries($ldap, $list);
-		for ($i=0; $i < $entries['count']; $i++)
+		for ($i=0; $i < $entries['count']; ++$i)
 			$unifiedResult[$entries[$i]['uidnumber'][0]] = array('name' => $entries[$i]['cn'][0], 'uid' => $entries[$i]['uid'][0], 'removed' => false);
 
@@ -790,7 +790,7 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-		{
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+		{
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 			$output[$i]['funcionario_id_desc'] = $unifiedResult[$output[$i]['funcionario_id']]['name'];
@@ -964,5 +964,5 @@
 		while ($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
 		{
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($row[$j]);
 			$row['substituto_funcionario_id_desc'] = ($row['substituto_funcionario_id'] != '') ? $ldap->getName($row['substituto_funcionario_id']) : '';
@@ -1003,7 +1003,7 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-		{
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+		{
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -1384,6 +1384,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -1586,6 +1586,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++) {
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i) {
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
Index: /trunk/workflow/inc/class.so_adminaccess.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_adminaccess.inc.php	(revision 7495)
+++ /trunk/workflow/inc/class.so_adminaccess.inc.php	(revision 7655)
@@ -226,5 +226,5 @@
 		$tmpBin = decbin($number);
 		$tmpSize = strlen($tmpBin);
-		for ($i = 0; $i < $tmpSize; $i++)
+		for ($i = 0; $i < $tmpSize; ++$i)
 			$levelList[$tmpSize - $i - 1] = ($tmpBin[$i] == '0') ? false : true;
 
@@ -244,5 +244,5 @@
 
 		$text = "";
-		for ($i = 0; $i < $this->numberOfPermissions; $i++)
+		for ($i = 0; $i < $this->numberOfPermissions; ++$i)
 			if (isset($list[$i]))
 				$text = (($list[$i] == true) ? '1' : '0') . $text;
Index: /trunk/workflow/inc/class.utils.php
===================================================================
--- /trunk/workflow/inc/class.utils.php	(revision 5934)
+++ /trunk/workflow/inc/class.utils.php	(revision 7655)
@@ -143,5 +143,5 @@
 				if ($i < ($size-1) && !is_array($base))
 					return $fallback;
-				$i++;
+				++$i;
 			}
 			return $base;
Index: /trunk/workflow/inc/class.external_bridge.inc.php
===================================================================
--- /trunk/workflow/inc/class.external_bridge.inc.php	(revision 3167)
+++ /trunk/workflow/inc/class.external_bridge.inc.php	(revision 7655)
@@ -150,5 +150,5 @@
 		/* encode the form before submission */
 		$encodedForm = '';
-		for ($i = 0; $i < strlen($generatedForm); $i++)
+		for ($i = 0; $i < strlen($generatedForm); ++$i)
 			$encodedForm .= '%' . bin2hex($generatedForm[$i]);
 		$encodedForm = '<script type="text/javascript">eval(unescape(\'' . $encodedForm . '\'))</script>';
Index: /trunk/workflow/inc/class.utils.security.php
===================================================================
--- /trunk/workflow/inc/class.utils.security.php	(revision 5928)
+++ /trunk/workflow/inc/class.utils.security.php	(revision 7655)
@@ -68,6 +68,6 @@
 	function SecurityUtils($tagsArray = array(), $attrArray = array(), $tagsMethod = 0, $attrMethod = 0, $xssAuto = 1) {
 		// make sure user defined arrays are in lowercase
-		for ($i = 0; $i < count($tagsArray); $i++) $tagsArray[$i] = strtolower($tagsArray[$i]);
-		for ($i = 0; $i < count($attrArray); $i++) $attrArray[$i] = strtolower($attrArray[$i]);
+		for ($i = 0; $i < count($tagsArray); ++$i) $tagsArray[$i] = strtolower($tagsArray[$i]);
+		for ($i = 0; $i < count($attrArray); ++$i) $attrArray[$i] = strtolower($attrArray[$i]);
 		// assign to member vars
 		$this->tagsArray = (array) $tagsArray;
@@ -110,5 +110,5 @@
 		while($source != $this->filterTags($source)) {
 			$source = $this->filterTags($source);
-			$loopCounter++;
+			++$loopCounter;
 		}
 		return $source;
@@ -135,5 +135,5 @@
 		$newSet = array();
 		// process attributes
-		for ($i = 0; $i <count($attrSet); $i++) {
+		for ($i = 0; $i <count($attrSet); ++$i) {
 			// skip blank spaces in tag
 			if (!$attrSet[$i]) continue;
Index: /trunk/workflow/inc/class.BrowserInfo.inc.php
===================================================================
--- /trunk/workflow/inc/class.BrowserInfo.inc.php	(revision 5934)
+++ /trunk/workflow/inc/class.BrowserInfo.inc.php	(revision 7655)
@@ -304,5 +304,5 @@
 		$required = explode('.', $version);
 		$current = explode('.', $this->getBrowserVersion());
-		for ($i = 0; $i < count($required); $i++)
+		for ($i = 0; $i < count($required); ++$i)
 		{
 			$subRequired = (int) $required[$i];
Index: /trunk/workflow/inc/class.so_userinterface.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 6535)
+++ /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 7655)
@@ -63,5 +63,5 @@
 		$octets = explode('.', $ip);
 		$output = array();
-		for ($i = 0; $i < 4; $i++)
+		for ($i = 0; $i < 4; ++$i)
 		{
 			if ($bits >= 8)
@@ -123,10 +123,10 @@
 
 			/* keep only associative elments and check if the user can access an intranet application */
-			for ($i = 0; $i < count($preOutput); $i++)
+			for ($i = 0; $i < count($preOutput); ++$i)
 			{
 				if (($preOutput[$i]['intranet_only'] == '1') && (!$showIntranetApplications))
 					continue;
 
-				for ($j = 0; $j < $result->_numOfFields; $j++)
+				for ($j = 0; $j < $result->_numOfFields; ++$j)
 					unset($preOutput[$i][$j]);
 				$output[] = $preOutput[$i];
@@ -152,5 +152,5 @@
 			return false;
 
-		for ($i = 0; $i < $result->_numOfFields; $i++)
+		for ($i = 0; $i < $result->_numOfFields; ++$i)
 			unset($output[$i]);
 
@@ -169,6 +169,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -196,7 +196,7 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-		{
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+		{
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -218,6 +218,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -296,8 +296,8 @@
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
 		$categoriesCount = array();
-		for ($i = 0; $i < count($employees); $i++)
+		for ($i = 0; $i < count($employees); ++$i)
 		{
 			/* remove numeric fields */
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($employees[$i][$j]);
 			if (!$this->authorized || !isset($employees[$i]['funcao']))
@@ -396,8 +396,8 @@
 		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
-		for ($i = 0; $i < count($employees); $i++)
+		for ($i = 0; $i < count($employees); ++$i)
 		{
 			/* remove numeric fields */
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($employees[$i][$j]);
 
@@ -434,5 +434,5 @@
 
 		if (count($searchTermExploded) > 0){
-			for ($i=1; $i<count($searchTermExploded); $i++) {
+			for ($i=1; $i<count($searchTermExploded); ++$i) {
 				if (strlen($searchTermExploded[$i]) > 2) {
 					$fullSearch = true;
@@ -454,5 +454,5 @@
 		$ldapResult = array();
 
-		for ($i = 0; $i < $entries['count']; $i++)
+		for ($i = 0; $i < $entries['count']; ++$i)
 			$ldapResult[$entries[$i]['uidnumber'][0]] = array('cn' => $entries[$i]['cn'][0], 'telephoneNumber' => $entries[$i]['telephonenumber'][0]);
 
@@ -481,5 +481,5 @@
 
 		/* filling return array with employee's information */
-		for ($i = 0; $i < count($result); $i++) {
+		for ($i = 0; $i < count($result); ++$i) {
 			$employees []= array(
 					'area'	 			=> $result[$i]['area'],
@@ -536,5 +536,5 @@
 		/* creating the ldap query */
 		$ldap_query = '(&(|';
-		for ($i = 0; $i < count($result); $i++) {
+		for ($i = 0; $i < count($result); ++$i) {
 			$ldap_query .= '(uidNumber=' . $result[$i]['funcionario_id'] . ')';
 		}
@@ -547,5 +547,5 @@
 		/* parsing result */
 		$ldapResult = array();
-		for ($i = 0; $i < $entries['count']; $i++)
+		for ($i = 0; $i < $entries['count']; ++$i)
 			$ldapResult[$entries[$i]['uidnumber'][0]] = array('cn' => $entries[$i]['cn'][0], 'telephoneNumber' => $entries[$i]['telephonenumber'][0]);
 
@@ -556,5 +556,5 @@
 		/* filling return array with employee's information */
 		$employees = array();
-		for ($i = 0; $i < count($result); $i++) {
+		for ($i = 0; $i < count($result); ++$i) {
 
 			$employee = array();
@@ -615,5 +615,5 @@
 		$ldapResult = array();
 
-		for ($i = 0; $i < $entries['count']; $i++)
+		for ($i = 0; $i < $entries['count']; ++$i)
 			$ldapResult[$entries[$i]['uidnumber'][0]] = array('cn' => $entries[$i]['cn'][0], 'telephoneNumber' => $entries[$i]['telephonenumber'][0]);
 
@@ -642,5 +642,5 @@
 
 		/* filling return array with employee's information */
-		for ($i = 0; $i < count($result); $i++) {
+		for ($i = 0; $i < count($result); ++$i) {
 			$employees []= array(
 					'area'	 			=> $result[$i]['area'],
@@ -707,6 +707,6 @@
 
 		$output = $result->GetArray(-1);
-		for ($i = 0; $i < count($output); $i++)
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ($i = 0; $i < count($output); ++$i)
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -728,7 +728,7 @@
 
 		$output = $result->GetArray(-1);
-		for ( $i = 0; $i < count($output); $i++ )
-		{
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ( $i = 0; $i < count($output); ++$i )
+		{
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -759,6 +759,6 @@
 
 		$output = $result->GetArray( -1 );
-		for ( $i = 0; $i < count($output); $i++ )
-			for ($j = 0; $j < $result->_numOfFields; $j++)
+		for ( $i = 0; $i < count($output); ++$i )
+			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
 
@@ -795,8 +795,8 @@
 
 		$categoriesCount = array( );
-		for ( $i = 0; $i < count( $employees ); $i++ )
+		for ( $i = 0; $i < count( $employees ); ++$i )
 		{
 			// remove numeric fields
-			for ( $j = 0; $j < $result -> _numOfFields; $j++ )
+			for ( $j = 0; $j < $result -> _numOfFields; ++$j )
 				unset( $employees[ $i ][ $j ] );
 
@@ -867,8 +867,8 @@
 
 		$categoriesCount = array( );
-		for ( $i = 0; $i < count( $employees ); $i++ )
+		for ( $i = 0; $i < count( $employees ); ++$i )
 		{
 			// remove numeric fields
-			for ( $j = 0; $j < $result -> _numOfFields; $j++ )
+			for ( $j = 0; $j < $result -> _numOfFields; ++$j )
 				unset( $employees[ $i ][ $j ] );
 
@@ -893,5 +893,5 @@
 
 		// count the number of employees in each category
-		for ( $i = 0; $i < count( $employees ); $i++ )
+		for ( $i = 0; $i < count( $employees ); ++$i )
 		{
 			$categoryID = $employees[ $i ][ 'funcionario_categoria_id' ];
Index: /trunk/workflow/inc/report/downloads.php
===================================================================
--- /trunk/workflow/inc/report/downloads.php	(revision 5307)
+++ /trunk/workflow/inc/report/downloads.php	(revision 7655)
@@ -16,5 +16,5 @@
 
 $fileDown = '';
-for($i = 1; $i < (count($pathPartes)); $i++){
+for($i = 1; $i < (count($pathPartes)); ++$i){
    $fileDown = ($fileDown != '') ? $fileDown . '/' : $fileDown ;
    $fileDown .= $pathPartes[$i];
Index: /trunk/workflow/inc/report/includes/classes/Listagem.class.php
===================================================================
--- /trunk/workflow/inc/report/includes/classes/Listagem.class.php	(revision 6413)
+++ /trunk/workflow/inc/report/includes/classes/Listagem.class.php	(revision 7655)
@@ -1388,5 +1388,5 @@
 
 
-            for ($qtd_reg = 1;$qtd_reg <= $qtd_registros; $qtd_reg++) {
+            for ($qtd_reg = 1;$qtd_reg <= $qtd_registros; ++$qtd_reg) {
 
                 if ($this->_isarray) {
@@ -1458,5 +1458,5 @@
                                                  if ($cntcheckspan) {
                                                  	if ($this->_temarquivocsv) {
-	                                                 	for ($j=1; $j<= $cntcheckspan; $j++) {
+	                                                 	for ($j=1; $j<= $cntcheckspan; ++$j) {
 	                                                 		if ($j == $cntcheckspan) {
 	                                                 			$this->_txtarquivo .= $txtarquivotexto;
@@ -1729,5 +1729,5 @@
 
                          	if ($this->_temarquivocsv) {
-                             	for ($j=1; $j<= $cntcheckspan; $j++) {
+                             	for ($j=1; $j<= $cntcheckspan; ++$j) {
                              		if ($j == $cntcheckspan) {
                              			$this->_txtarquivo .= $txtarquivotexto;
@@ -1803,5 +1803,5 @@
                          if ($cntcheckspan) {
                             if ($this->_temarquivocsv) {
-                                for ($j=1; $j<= $cntcheckspan; $j++) {
+                                for ($j=1; $j<= $cntcheckspan; ++$j) {
                                     if ($j == $cntcheckspan) {
                                         $this->_txtarquivo .= $txtarquivotexto;
@@ -2158,5 +2158,5 @@
     public function autoAdicionarColunas() {
     	$i = pg_num_fields($this->dados);
-        for ($j = 0; $j < $i; $j++) {
+        for ($j = 0; $j < $i; ++$j) {
             $fieldname = pg_field_name($this->dados, $j);
             $tipo = pg_field_type($this->dados, $j);
Index: /trunk/workflow/inc/report/includes/classes/SqlParser.class.php
===================================================================
--- /trunk/workflow/inc/report/includes/classes/SqlParser.class.php	(revision 5307)
+++ /trunk/workflow/inc/report/includes/classes/SqlParser.class.php	(revision 7655)
@@ -118,5 +118,5 @@
     protected function getQuantidadeIfs($texto) {
         $qtd = 0;
-        for ($i = 0;  $i <= strlen($texto); $i++) {
+        for ($i = 0;  $i <= strlen($texto); ++$i) {
             if (strtolower(substr($texto,$i,3)) == "#if") {
                 $qtd = $qtd + 1;
@@ -128,5 +128,5 @@
     protected function numerarCondicao($texto,$num) {
         $qtd = 0;
-        for ($i = 0;  $i <= strlen($texto); $i++) {
+        for ($i = 0;  $i <= strlen($texto); ++$i) {
             if (strtolower(substr($texto,$i,3)) == "#if") {
                 $qtd = $qtd + 1;
@@ -134,5 +134,5 @@
                 $condicoesfechadas = 0;
                 if ($qtd == $num) {
-                    for ($j = $i+1;  $j <= strlen($texto); $j++) {
+                    for ($j = $i+1;  $j <= strlen($texto); ++$j) {
                         
                         if ((strtolower(substr($texto,$j,5)) == "#/if#")) {
Index: /trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php
===================================================================
--- /trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php	(revision 5307)
+++ /trunk/workflow/inc/report/includes/classes/FormularioUtil.class.php	(revision 7655)
@@ -88,5 +88,5 @@
 		$resu = pg_query($conn,$sql);
 		if (pg_num_rows($resu)>0) {
-	        for ($x=0;$x<pg_num_rows($resu);$x++)  {
+	        for ($x=0;$x<pg_num_rows($resu);++$x)  {
 	            $arrSelectValues[pg_fetch_result($resu,$x,$id)] = pg_fetch_result($resu,$x,$value);
 	        }
@@ -111,5 +111,5 @@
 		$resu = pg_query($conn,$sql);	
 		if (pg_num_rows($resu)>0) {
-	        for ($x=0;$x<pg_num_rows($resu);$x++)  {
+	        for ($x=0;$x<pg_num_rows($resu);++$x)  {
 	            $arrSelectChecks[] = array(pg_fetch_result($resu,$x,$oid), pg_fetch_result($resu,$x,$descricao), false);
 	        }
@@ -122,5 +122,5 @@
 		$resu = pg_query($conn,$sql);	
 		if (pg_num_rows($resu)>0) {
-	        for ($x=0;$x<pg_num_rows($resu);$x++)  {
+	        for ($x=0;$x<pg_num_rows($resu);++$x)  {
 	            $arrSelectChecks[] = array(pg_fetch_result($resu,$x,$oid), pg_fetch_result($resu,$x,$descricao), false);
 	        }
Index: /trunk/workflow/inc/report/xajax/xajaxResponse.inc.php
===================================================================
--- /trunk/workflow/inc/report/xajax/xajaxResponse.inc.php	(revision 5307)
+++ /trunk/workflow/inc/report/xajax/xajaxResponse.inc.php	(revision 7655)
@@ -257,5 +257,5 @@
 		if ($queryStart !== FALSE)
 		{
-			$queryStart++;
+			++$queryStart;
 			$queryEnd = strpos($sURL, '#', $queryStart);
 			if ($queryEnd === FALSE)
Index: /trunk/workflow/inc/report/xajax/xajax.inc.php
===================================================================
--- /trunk/workflow/inc/report/xajax/xajax.inc.php	(revision 5307)
+++ /trunk/workflow/inc/report/xajax/xajax.inc.php	(revision 7655)
@@ -608,5 +608,5 @@
 		if ($bFoundFunction)
 		{
-			for ($i = 0; $i < sizeof($aArgs); $i++)
+			for ($i = 0; $i < sizeof($aArgs); ++$i)
 			{
 				// If magic quotes is on, then we need to strip the slashes from the args
Index: /trunk/workflow/inc/report/xajax/xajaxCompress.php
===================================================================
--- /trunk/workflow/inc/report/xajax/xajaxCompress.php	(revision 5307)
+++ /trunk/workflow/inc/report/xajax/xajaxCompress.php	(revision 7655)
@@ -58,6 +58,7 @@
 	$escaped = false;
 	$quoteChar = "";
-	
-	for($i=0;$i<count($lines);$i++)
+    $lines_count = count($lines);
+
+	for($i=0;$i<$lines_count;++$i)
 	{
 		$line = $lines[$i];
@@ -65,5 +66,5 @@
 	
 		//loop through line's characters and take out any literal strings, replace them with ___i___ where i is the index of this string
-		for($j=0;$j<strlen($line);$j++)
+		for($j=0;$j<strlen($line);++$j)
 		{
 			$c = substr($line,$j,1);
@@ -89,5 +90,5 @@
 					$quoteChar = $d;
 					$literal = $d;	
-					$j++;	
+					++$j;
 				}
 				else if($d=="//") //ignore string markers that are found inside comments
@@ -126,5 +127,5 @@
 					array_push($literal_strings,$literal);
 	
-					$j++;
+					++$j;
 				}
 				else if($c == "\\" && !$escaped)
@@ -143,5 +144,6 @@
 	
 	//now process each line at a time
-	for($i=0;$i<count($lines);$i++)
+    $lines_count = count($lines);
+	for($i=0;$i<$lines_count;++$i)
 	{
 		$line = $lines[$i];
@@ -175,5 +177,6 @@
 	
 	//finally loop through and replace all the literal strings:
-	for($i=0;$i<count($literal_strings);$i++)
+    $literal_strings_count = count($literal_strings);
+	for($i=0;$i<$literal_strings_count;++$i)
 		$sJS = str_replace("___".$i."___",$literal_strings[$i],$sJS);
 	
Index: /trunk/workflow/inc/class.ui_adminactivities.inc.php
===================================================================
--- /trunk/workflow/inc/class.ui_adminactivities.inc.php	(revision 3167)
+++ /trunk/workflow/inc/class.ui_adminactivities.inc.php	(revision 7655)
@@ -647,5 +647,5 @@
 	{
 		$num_activities = count($process_activities['data']);
-		for ($i=0; $i < $num_activities; $i++)
+		for ($i=0; $i < $num_activities; ++$i)
 		{
 			$act_id = $process_activities['data'][$i]['wf_activity_id'];
@@ -695,5 +695,5 @@
 	function search_transitions_act(&$process_activities, $act_id)
 	{
-		for ($i=0; $i < $process_activities['cant']; $i++)
+		for ($i=0; $i < $process_activities['cant']; ++$i)
 		{
 			$id = $process_activities['data'][$i]['wf_activity_id'];
Index: /trunk/workflow/inc/class.WorkflowLDAP.inc.php
===================================================================
--- /trunk/workflow/inc/class.WorkflowLDAP.inc.php	(revision 3729)
+++ /trunk/workflow/inc/class.WorkflowLDAP.inc.php	(revision 7655)
@@ -171,8 +171,8 @@
 		{
 			$attributes = ldap_get_attributes($this->dataSource, $entry);
-			for ($i = 0; $i < $attributes['count']; $i++)
+			for ($i = 0; $i < $attributes['count']; ++$i)
 				$output[$counter][$attributes[$i]] = ldap_get_values_len($this->dataSource, $entry, $attributes[$i]);
 
-			$counter++;
+			++$counter;
 		} while ($entry = ldap_next_entry($this->dataSource, $entry));
 
@@ -201,5 +201,5 @@
 
 		$output = array();
-		for ($i = 0; $i < $result['count']; $i++)
+		for ($i = 0; $i < $result['count']; ++$i)
 		{
 			$output[] = array(
@@ -249,5 +249,5 @@
 		$resourceIdentifier = ldap_search($this->dataSource, $this->groupContext, "(&(phpgwaccounttype=g)(memberuid={$userLogin}))", array('gidnumber'));
 		$result = ldap_get_entries($this->dataSource, $resourceIdentifier);
-		for ($i = 0; $i < $result['count']; $i++)
+		for ($i = 0; $i < $result['count']; ++$i)
 			$output[] = $result[$i]['gidnumber'][0];
 
@@ -295,5 +295,5 @@
 		$output = array();
 		$userCount = count($result);
-		for ($i = 0; $i < $userCount; $i++)
+		for ($i = 0; $i < $userCount; ++$i)
 			$output[] = array(
 				'account_id' => $result[$i]['uidnumber'][0],
@@ -356,5 +356,5 @@
 		/* collect the data */
 		$output = array();
-		for ($i = 0; $i < $result['count']; $i++)
+		for ($i = 0; $i < $result['count']; ++$i)
 		{
 			$output[] = array(
@@ -572,5 +572,5 @@
 		$output = array();
 		$entityCount = count($result);
-		for ($i = 0; $i < $entityCount; $i++)
+		for ($i = 0; $i < $entityCount; ++$i)
 			$output[] = array(
 				'id' => ($result[$i]['phpgwaccounttype'][0] == 'g') ? $result[$i]['gidnumber'][0] : $result[$i]['uidnumber'][0],
@@ -631,5 +631,5 @@
 
 		$output = array();
-		for ($i = 0; $i < $result['count']; $i++)
+		for ($i = 0; $i < $result['count']; ++$i)
 			$output[] = array(
 				'id' => ($result[$i]['phpgwaccounttype'][0] == 'g') ? $result[$i]['gidnumber'][0] : $result[$i]['uidnumber'][0],
Index: /trunk/workflow/inc/fpdf/fpdf.php
===================================================================
--- /trunk/workflow/inc/fpdf/fpdf.php	(revision 795)
+++ /trunk/workflow/inc/fpdf/fpdf.php	(revision 7655)
@@ -431,5 +431,5 @@
 	$w=0;
 	$l=strlen($s);
-	for($i=0;$i<$l;$i++)
+	for($i=0;$i<$l;++$i)
 		$w+=$cw[$s{$i}];
 	return $w*$this->FontSize/1000;
@@ -486,5 +486,5 @@
 		$d=0;
 		$nb=count($this->diffs);
-		for($i=1;$i<=$nb;$i++)
+		for($i=1;$i<=$nb;++$i)
 		{
 			if($this->diffs[$i]==$diff)
@@ -750,10 +750,10 @@
 			}
 			$this->Cell($w,$h,substr($s,$j,$i-$j),$b,2,$align,$fill);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border && $nl==2)
 				$b=$b2;
@@ -764,5 +764,5 @@
 			$sep=$i;
 			$ls=$l;
-			$ns++;
+			++$ns;
 		}
 		$l+=$cw[$c];
@@ -773,5 +773,5 @@
 			{
 				if($i==$j)
-					$i++;
+					++$i;
 				if($this->ws>0)
 				{
@@ -795,10 +795,10 @@
 			$l=0;
 			$ns=0;
-			$nl++;
+			++$nl;
 			if($border && $nl==2)
 				$b=$b2;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -835,5 +835,5 @@
 			//Explicit line break
 			$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
-			$i++;
+			++$i;
 			$sep=-1;
 			$j=$i;
@@ -845,5 +845,5 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 			continue;
 		}
@@ -863,10 +863,10 @@
 					$w=$this->w-$this->rMargin-$this->x;
 					$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
-					$i++;
-					$nl++;
+					++$i;
+					++$nl;
 					continue;
 				}
 				if($i==$j)
-					$i++;
+					++$i;
 				$this->Cell($w,$h,substr($s,$j,$i-$j),0,2,'',0,$link);
 			}
@@ -885,8 +885,8 @@
 				$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
 			}
-			$nl++;
+			++$nl;
 		}
 		else
-			$i++;
+			++$i;
 	}
 	//Last chunk
@@ -1089,5 +1089,5 @@
 	{
 		//Replace number of pages
-		for($n=1;$n<=$nb;$n++)
+		for($n=1;$n<=$nb;++$n)
 			$this->pages[$n]=str_replace($this->AliasNbPages,$nb,$this->pages[$n]);
 	}
@@ -1103,5 +1103,5 @@
 	}
 	$filter=($this->compress) ? '/Filter /FlateDecode ' : '';
-	for($n=1;$n<=$nb;$n++)
+	for($n=1;$n<=$nb;++$n)
 	{
 		//Page
@@ -1145,5 +1145,5 @@
 	$this->_out('<</Type /Pages');
 	$kids='/Kids [';
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 		$kids.=(3+2*$i).' 0 R ';
 	$this->_out($kids.']');
@@ -1245,5 +1245,5 @@
 			$cw=&$font['cw'];
 			$s='[';
-			for($i=32;$i<=255;$i++)
+			for($i=32;$i<=255;++$i)
 				$s.=$cw[chr($i)].' ';
 			$this->_out($s.']');
@@ -1299,5 +1299,6 @@
 		{
 			$trns='';
-			for($i=0;$i<count($info['trns']);$i++)
+            $info_count = count($info['trns']);
+			for($i=0;$i<$info_count;++$i)
 				$trns.=$info['trns'][$i].' '.$info['trns'][$i].' ';
 			$this->_out('/Mask ['.$trns.']');
@@ -1420,5 +1421,5 @@
 	$this->_out('0 '.($this->n+1));
 	$this->_out('0000000000 65535 f ');
-	for($i=1;$i<=$this->n;$i++)
+	for($i=1;$i<=$this->n;++$i)
 		$this->_out(sprintf('%010d 00000 n ',$this->offsets[$i]));
 	//Trailer
Index: /trunk/workflow/inc/fpdf/font/makefont/makefont.php
===================================================================
--- /trunk/workflow/inc/fpdf/font/makefont/makefont.php	(revision 5928)
+++ /trunk/workflow/inc/fpdf/font/makefont/makefont.php	(revision 7655)
@@ -24,5 +24,5 @@
 		}
 	}
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 	{
 		if(!isset($cc2gn[$i]))
@@ -118,5 +118,5 @@
 			$widths['Delta']=$widths['increment'];
 		//Order widths according to map
-		for($i=0;$i<=255;$i++)
+		for($i=0;$i<=255;++$i)
 		{
 			if(!isset($widths[$map[$i]]))
@@ -189,5 +189,5 @@
 	$s="array(\n\t";
 	$cw=$fm['Widths'];
-	for($i=0;$i<=255;$i++)
+	for($i=0;$i<=255;++$i)
 	{
 		if(chr($i)=="'")
@@ -215,5 +215,5 @@
 	$s='';
 	$last=0;
-	for($i=32;$i<=255;$i++)
+	for($i=32;$i<=255;++$i)
 	{
 		if($map[$i]!=$ref[$i])
@@ -261,5 +261,5 @@
 	//Seek OS/2 table
 	$found=false;
-	for($i=0;$i<$nb;$i++)
+	for($i=0;$i<$nb;++$i)
 	{
 		if(fread($f,4)=='OS/2')
Index: /trunk/workflow/inc/fpdf/font/courier.php
===================================================================
--- /trunk/workflow/inc/fpdf/font/courier.php	(revision 795)
+++ /trunk/workflow/inc/fpdf/font/courier.php	(revision 7655)
@@ -1,4 +1,4 @@
 <?php
-for($i=0;$i<=255;$i++)
+for($i=0;$i<=255;++$i)
 	$fpdf_charwidths['courier'][chr($i)]=600;
 $fpdf_charwidths['courierB']=$fpdf_charwidths['courier'];
Index: /trunk/workflow/inc/smarty/internals/core.write_compiled_include.php
===================================================================
--- /trunk/workflow/inc/smarty/internals/core.write_compiled_include.php	(revision 795)
+++ /trunk/workflow/inc/smarty/internals/core.write_compiled_include.php	(revision 7655)
@@ -38,5 +38,5 @@
 
     $this_varname = ((double)phpversion() >= 5.0) ? '_smarty' : 'this';
-    for ($_i = 0, $_for_max = count($_match_source); $_i < $_for_max; $_i++) {
+    for ($_i = 0, $_for_max = count($_match_source); $_i < $_for_max; ++$_i) {
         $_match =& $_match_source[$_i];
         $source = $_match[4];
@@ -57,5 +57,5 @@
             }
 
-            for ($i=0, $count = count($tokens); $i < $count; $i++) {
+            for ($i=0, $count = count($tokens); $i < $count; ++$i) {
                 if (is_array($tokens[$i])) {
                     if ($tokens[$i][0] == T_VARIABLE && $tokens[$i][1] == '$this') {
Index: /trunk/workflow/inc/smarty/internals/core.write_cache_file.php
===================================================================
--- /trunk/workflow/inc/smarty/internals/core.write_cache_file.php	(revision 795)
+++ /trunk/workflow/inc/smarty/internals/core.write_cache_file.php	(revision 7655)
@@ -44,5 +44,5 @@
         $level = 0;
         $j = 0;
-        for ($i=0, $results_count = count($results); $i < $results_count && $j < $match_count; $i++) {
+        for ($i=0, $results_count = count($results); $i < $results_count && $j < $match_count; ++$i) {
             if ($results[$i] == $match[0][$j]) {
                 // nocache tag
@@ -53,5 +53,5 @@
                     if ($level++ > 0) unset($results[$i]);
                 }
-                $j++;
+                ++$j;
             } elseif ($level > 0) {
                 unset($results[$i]);
Index: /trunk/workflow/inc/smarty/internals/core.process_cached_inserts.php
===================================================================
--- /trunk/workflow/inc/smarty/internals/core.process_cached_inserts.php	(revision 795)
+++ /trunk/workflow/inc/smarty/internals/core.process_cached_inserts.php	(revision 7655)
@@ -18,5 +18,5 @@
     list($cached_inserts, $insert_args) = $match;
 
-    for ($i = 0, $for_max = count($cached_inserts); $i < $for_max; $i++) {
+    for ($i = 0, $for_max = count($cached_inserts); $i < $for_max; ++$i) {
         if ($smarty->debugging) {
             $_params = array();
